Skip to content


Subversion checkout URL

You can clone with
Download ZIP
Commits on Feb 25, 2013
  1. @jeremy
Commits on Feb 24, 2013
  1. @guilleiguaran
Commits on Jan 10, 2013
  1. @jeremy

    Relax bundler dep until 1.3.0 is actually released.

    jeremy committed
    Revert "Bump bundler dep to 1.3.0.pre.4+ to introduce 'bundle binstubs <gem>'"
    This reverts commit e00b8ec.
    Revert "Use bundler --pre for travis builds"
    This reverts commit 4d240ec.
Commits on Jan 7, 2013
  1. @fxn

    let the rails gem ship with the README

    fxn committed
    The doc:rails application rake task needs this README.
Commits on Jan 4, 2013
  1. @jeremy
Commits on Dec 10, 2012
  1. @jeremy
Commits on Dec 9, 2012
  1. @jeremy

    Omit directories from gemspec.files for RubyGems 2 compat.

    jeremy committed
    RG2 packager expects each spec.files path to be a file and bombs when it tries to tarball a dir.
    May revert if rubygems/rubygems#413 is accepted.
Commits on Nov 28, 2012
  1. @claudiob

    Revert "rails gem has no lib directory to require"

    claudiob committed
    This reverts commit 6bcbd60.
    The default value for require_paths is ['lib'], and Rails does not
    need to include any lib/ file to build the gem, so the previous
    commit 'makes sense'. However, gems will not be built at all if
    require_paths is empty (see, so
    it's better to stick with the default, which does not have any
Commits on Nov 27, 2012
  1. @amatsuda
Commits on Nov 16, 2012
  1. @kentaro
  2. @kentaro
Commits on Nov 9, 2012
  1. Clean up gemspecs

    Vinny Diehl committed
    Organized the gemspec files a bit.
     * Made quotes more consistent (single quotes dominated, so I used
     * Moved license line down a line, separating it logically, and removed
       the extra whitespace before its = operator.
     * Minor whitespace fixes.
Commits on Oct 19, 2012
  1. @carlosantoniodasilva

    Update rails gemspec to use sprockets-rails 2.0.0.rc1

    carlosantoniodasilva committed
    So that we can bundle and travis can run our tests.
Commits on Oct 15, 2012
  1. @josh
Commits on Aug 31, 2012
  1. @drogus

    Require bundler 1.2

    drogus committed
Commits on May 23, 2012
  1. @betamatt @grosser
Commits on Mar 17, 2012
  1. @fxn
Commits on Mar 13, 2012
  1. @guilleiguaran
  2. @sikachu

    Remove Active Resource source files from the repository

    sikachu committed
    Dear Active Resource,
    It's not that I hate you or anything, but you didn't get much attention lately. There're so many alternatives out there, and I think people have made their choice to use them than you. I think it's time for you to have a big rest, peacefully in this Git repository.
    I will miss you,
Commits on Mar 9, 2012
  1. @josevalim

    Bump bundler dependency.

    josevalim committed
Commits on Jan 21, 2012
  1. @guilleiguaran
Commits on Dec 21, 2011
  1. @rahul100885
Commits on Sep 12, 2011
  1. @josevalim

    Just provide the executable for railtie. This should be fine since Ru…

    josevalim committed
    …bygems now warns before overriding them.
Commits on Jul 4, 2011
  1. @pixeltrix

    Revert "The rails gem doesn't have a lib directory - closes #1958."

    pixeltrix committed
    RubyGems requires at least one require_path.
    This reverts commit e7fc5d1.
  2. @pixeltrix
Commits on May 20, 2011
  1. @arunagw
Commits on Apr 2, 2011
  1. @spastorino
Commits on Mar 31, 2011
  1. @dhh
  2. @dhh
Commits on Nov 13, 2010
Commits on Oct 16, 2010
  1. @spastorino

    Bump bundler up to 1.0.3

    spastorino committed
Commits on Aug 29, 2010
  1. @dhh

    Depend on Bundler 1.0 w/ tiny fixes

    dhh committed
Commits on Aug 24, 2010
  1. @dhh

    Depend on latest Bundler RC

    dhh committed
Commits on Jul 30, 2010
  1. @spastorino
Commits on Jul 26, 2010
  1. @dhh

    Make Rails 3 RC depend on Bundler RC

    dhh committed
Something went wrong with that request. Please try again.